Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.threeD.raytracer.engine
Class RenderParameters

    java.lang.Object
      net.sf.j3d.threeD.raytracer.engine.RenderParameters

    public class RenderParameters

extends Object

A RenderParameters object stores parameters for the RayTracingEngine.

Author:
  Mike Murray

Field Summary
`int` | `dx` Viewable image dimensions.
`int` | `dy` Viewable image dimensions.
`RGB` | `fogColor`
`double` | `fogDensity`
`double` | `fogRatio`
`int` | `height` Full image dimensions.
`int` | `ssHeight` Super sample dimensions.
`int` | `ssWidth` Super sample dimensions.
`int` | `width` Full image dimensions.
`int` | `x` Coordinates of upper left corner of image.
`int` | `y` Coordinates of upper left corner of image.

Constructor Summary
`RenderParameters()`
`RenderParameters(int x, int y, int dx, int dy, int w, int h, int ssw, int ssh)`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### width

    public int width

  Full image dimensions.

### height

    public int height

  Full image dimensions.

### ssWidth

    public int ssWidth

  Super sample dimensions.

### ssHeight

    public int ssHeight

  Super sample dimensions.

### x

    public int x

  Coordinates of upper left corner of image.

### y

    public int y

  Coordinates of upper left corner of image.

### dx

    public int dx

  Viewable image dimensions.

### dy

    public int dy

  Viewable image dimensions.

### fogColor

    public RGB fogColor

### fogDensity

    public double fogDensity

### fogRatio

    public double fogRatio

Constructor Detail

### RenderParameters

    public RenderParameters()

### RenderParameters

    public RenderParameters(int x,
                            int y,
                            int dx,
                            int dy,
                            int w,
                            int h,
                            int ssw,
                            int ssh)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD